# Get an identity by ID (v2) - Legacy

Retrieve a specific identity by ID.
If `version` is not provided, the latest version is returned.

Endpoint: GET /v2/identities/{identity-id}
Version: 2025.11
Security: Bearer

## Security:

  - `Bearer` (unknown)
    http bearer JWT

## Path parameters:

  - `identity-id` (string, required)
    The ID of the identity to retrieve.

## Query parameters:

  - `version` (integer)
    Specific version to retrieve. If omitted, returns the latest version.

## Response 200:

  - `200` (unknown)
    Identity details.

## Response 200 fields (application/json):

  - `identityId` (string, required)
    The unique ID of the identity
    Example: 2f4ac57f-c5ba-4051-b51f-b3565778717b

  - `identityType` (string, required)
    The type of the identity
    Enum: "SENDER", "BENEFICIARY", "ORIGINATOR"

  - `createdAt` (string, required)
    The time at which the identity was created
    Example: 2023-11-02T18:26:00.000Z

  - `identityState` (string, required)
    Lifecycle state of the identity:
• ACTIVE - The identity exists and can be used.
• BLOCKED - The identity exists but is restricted from use.
• DEACTIVATED - The identity is inactive and cannot be used for new payments.
    Enum: "ACTIVE", "BLOCKED", "DEACTIVATED"

  - `nickName` (string)
    The nickname for the identity provided at the time of identity creation
    Example: MyCompany

  - `piiData` (object, required)
    PII data in JSON format

  - `version` (integer, required)
    The version number of the identity
    Example: 2

  - `useCaseType` (string, required)
    Classification of the identity:
• INDIVIDUAL - A natural person.
• BUSINESS - A legal entity such as a company or institution.
    Enum: "INDIVIDUAL", "BUSINESS"

## Response 400:

  - `400` (unknown)
    Invalid identity ID.

## Response 400 fields (application/json):

  - `status` (integer, required)
    The HTTP status code of the error
    Example: 404

  - `errors` (array, required)

  - `errors.code` (string, required)
    Unique identifier of an error
    Example: SYS_100

  - `errors.title` (string, required)
    Error message providing a brief summary of the error
    Example: No identity exists for identityId

  - `errors.type` (string, required)
    Identifies the problem type
    Example: USER_VALIDATION_ERROR

  - `errors.description` (string, required)
    Provides more technical information
    Example: Unable to get identity. Identity ID should be in UUID format

  - `errors.timestamp` (string, required)
    The time when this error occurred, specified in UTC.
    Example: 2023-11-02T18:26:00.000123Z

  - `timestamp` (string)
    The timestamp of the error
    Example: 2023-11-02T18:26:00.000Z

## Response 404:

  - `404` (unknown)
    Identity not found.

## Response 404 fields (application/json):

  - `status` (integer, required)
    The HTTP status code of the error
    Example: 404

  - `errors` (array, required)

  - `errors.code` (string, required)
    Unique identifier of an error
    Example: SYS_100

  - `errors.title` (string, required)
    Error message providing a brief summary of the error
    Example: No identity exists for identityId

  - `errors.type` (string, required)
    Identifies the problem type
    Example: USER_VALIDATION_ERROR

  - `errors.description` (string, required)
    Provides more technical information
    Example: Unable to get identity. Identity ID should be in UUID format

  - `errors.timestamp` (string, required)
    The time when this error occurred, specified in UTC.
    Example: 2023-11-02T18:26:00.000123Z

  - `timestamp` (string)
    The timestamp of the error
    Example: 2023-11-02T18:26:00.000Z

## Response 500:

  - `500` (unknown)
    Internal processing error.

## Response 500 fields (application/json):

  - `status` (integer, required)
    The HTTP status code of the error
    Example: 404

  - `errors` (array, required)

  - `errors.code` (string, required)
    Unique identifier of an error
    Example: SYS_100

  - `errors.title` (string, required)
    Error message providing a brief summary of the error
    Example: No identity exists for identityId

  - `errors.type` (string, required)
    Identifies the problem type
    Example: USER_VALIDATION_ERROR

  - `errors.description` (string, required)
    Provides more technical information
    Example: Unable to get identity. Identity ID should be in UUID format

  - `errors.timestamp` (string, required)
    The time when this error occurred, specified in UTC.
    Example: 2023-11-02T18:26:00.000123Z

  - `timestamp` (string)
    The timestamp of the error
    Example: 2023-11-02T18:26:00.000Z

